# csv-parse module not yet in Fedora
%global enable_tests 0
%global module_name statuses

Name:           nodejs-%{module_name}
Version:        1.2.1
Release:        4%{?dist}
Summary:        HTTP status utility

License:        MIT
URL:            https://github.com/jshttp/statuses
Source0:        https://github.com/jshttp/statuses/archive/v%{version}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(csv-parse)
BuildRequires:  npm(istanbul)
BuildRequires:  npm(mocha)
BuildRequires:  npm(stream-to-array)
%endif

%description
%{summary}.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json codes.json lib src scripts index.js \
                                   %{buildroot}%{nodejs_sitelib}/%{module_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha --reporter spec --check-leaks --bail test/
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 20 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.2.1-2
- runtime needs codes.json

* Mon Feb 09 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.2.1-1
- Initial packaging

